Skip to main content
This action renews the period of the selected order through the API.

Method / Endpoint

POST {{API_URL}}/order/renewal
For Hostrox, the full URL is:
POST https://client.hostrox.net/api/reseller/order/renewal

Request parameters

NameRequiredDescription
keyYesAPI Key
idYesOrder ID number
period_typeYesThe period to extend by. Possible values: year, month, week, day, hour
period_durationYesLength of the extension period

Example cURL request

curl --location 'https://client.hostrox.net/api/reseller/order/renewal' \
  --header 'Content-Type: application/json' \
  --data '{
    "key": "UzZBSlBWeWk0UEcrVWxlU0RjS1B1dz09",
    "id": 3,
    "period_type": "month",
    "period_duration": 1
  }'

Example JSON response

{
  "status": "successful",
  "invoice_id": 5,
  "new_duedate": "2024-03-27 07:37:28",
  "fee": "24.0000",
  "fee_formatted": "$24"
}

Response fields